<!DOCTYPE html>
<html lang="en">

<head>
    {% with custom_css="./css/easy2schedule-custom.css", title="questionaire_export",
    meta_description="Serviceblick Questionaire export" %}
    {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}
</head>

<body id="page-top" class="az-body">

{% include 'snippets/pb-loader.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">
    <div class="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="index.html" class="az-logo">
                    <img class="az-logo" src="/style-global/img/icons/clipboard.png" alt="Fragebögen Exportieren">
                </a>
                <a href="" id="azContentBodyHide" class="az-header-arrow d-md-none">
                    <i class="icon ion-md-arrow-back"></i>
                </a>
                <!-- use if there is main menu that needs to be displayed in mobile view  <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span></a>-->
                <img class="sub-branding-logo d-block d-lg-none pl-2" src="/style-global/img/icons/clipboard.png"
                     alt="Fragebögen Exportieren">
                <span class="nav-link text-dark tx-20  d-none d-lg-block" data-i18n="CS:Fragebogen"></span>
            </div>
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                    <a href="index.html" class="az-logo"><span></span><img class="az-logo"
                                                                           src="/style-global/img/icons/clipboard.png"
                                                                           alt="Fragebögen Exportieren"></a>
                    <a href="" class="close">&times;</a>
                </div>
            </div>
            <div class="az-header-right">
                {#% include 'snippets/header-news-menu.tpl' %#}

                <!-- logout as single button -->
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div>
        </div>
    </div>

    <div class="container">
        <div id="list_container" class="az-content az-content-app az-content-contacts  ">
            <h2 class="font-weight-bold mb-20px">Fragebögen Exportieren</h2>
            <div class="contacts-list-header w-75">
                <p class="text-muted mb-20px">
                    Fragebögen ganz leicht als CSV-Datei exportieren. <br/><br/>
                </p>
            </div>
            <br/>
            <hr/>

            <div class="az-content">
                 <div class="pd-30 pd-sm-40 bg-gray-200 w-75 mb-5">
                    <div class="row row-xs align-items-center mg-b-20">
                        <div class="col-md-4">
                            <label class="text-muted mg-b-0">Fragebögen</label>
                        </div>
                        <div class="col-md-8 mg-t-5 mg-md-t-0">
                            <select id="questionaire_dropdown"  class="text-muted form-control">
                                <!-- Options are filled from js render-export.js -->
                            </select>
                        </div>
                    </div>

                    <div class="row row-xs align-items-center mg-b-20">
                        <div class="col-md-4">
                            <label class="text-muted mg-b-0">Suchbegriff</label>
                        </div>
                        <div class="col-md-8 mg-t-5 mg-md-t-0">
                            <input id="searchterms" type="text" class="form-control" placeholder="....">
                        </div>
                    </div>

                    <div class="row row-xs align-items-center mg-b-20">
                        <div class="col-md-4 text-muted">
                            <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6"></i> Start-Datum <span class="tx-danger">*</span>
                        </div>
                        <div class="col-md-8 mg-t-5 mg-md-t-0">
                            <input type="text" id="starttime" name="starttime" class="datepicker form-control" required/>
                        </div>
                    </div>

                    <div class="row row-xs align-items-center mg-b-20">
                        <div class="col-md-4 text-muted">
                            <i class="typcn typcn-calendar-outline tx-24 lh--9 op-6 "></i> End-Datum <span class="tx-danger">*</span>
                        </div>
                        <div class="col-md-8 mg-t-5 mg-md-t-0">
                            <input type="text" id="endtime" name="endtime" class="datepicker form-control" required/>
                        </div>
                    </div>

                    <label class="ckbox mg-b-5">
                        <input id="transpose" type="checkbox"><span class="tx-13 text-muted">Transpose</span>
                    </label>

                    <button data-permission="frontend.questionaire.editor.export" id="export_questionare_button" class="btn btn-az-primary pd-x-30 mg-r-5 mt-5">Exportieren</button>
                     <a id="config_download_link" href="" class="btn btn-az-secondary pd-x-30 mg-r-5 mt-5 hidden">Konfiguration herunterladen</a>
                </div>
            </div>
        </div>
    </div>

</div>
{% with select2=false, bootstrapdatetimepicker=true, momentjs=true, perfectscrollbar=true %}
{% include 'snippets/global-script-include.tpl' %}
{% endwith %}
{% with circuit="questionaire_export" %}
{% include 'snippets/framework-script.tpl' %}
{% endwith %}
{% with show_menu=false, show_copyright=true %}
{% include 'snippets/parametric/pb-footer.tpl' %}
{% endwith %}
</body>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        let dropdown = document.getElementById('questionaire_dropdown');
        let searchterms = document.getElementById('searchterms');

        dropdown.addEventListener('change', function() {
            searchterms.value = dropdown.value;
        });
    });
</script>

</html>